FTGL 2.4.0

Namespaces | Macros | Typedefs | Enumerations | Functions
ftgl.h File Reference
`#include <ft2build.h>`
`#include <FT_FREETYPE_H>`
`#include <FT_GLYPH_H>`
`#include <FT_OUTLINE_H>`
`#include <FTGL/FTLibrary.h>`
`#include <FTGL/FTPoint.h>`
`#include <FTGL/FTBBox.h>`
`#include <FTGL/FTBuffer.h>`
`#include <FTGL/FTGlyph.h>`
`#include <FTGL/FTBitmapGlyph.h>`
`#include <FTGL/FTBufferGlyph.h>`
`#include <FTGL/FTExtrdGlyph.h>`
`#include <FTGL/FTOutlineGlyph.h>`
`#include <FTGL/FTPixmapGlyph.h>`
`#include <FTGL/FTPolyGlyph.h>`
`#include <FTGL/FTTextureGlyph.h>`
`#include <FTGL/FTTriangleExtractorGlyph.h>`
`#include <FTGL/FTFont.h>`
`#include <FTGL/FTGLBitmapFont.h>`
`#include <FTGL/FTBufferFont.h>`
`#include <FTGL/FTGLExtrdFont.h>`
`#include <FTGL/FTGLOutlineFont.h>`
`#include <FTGL/FTGLPixmapFont.h>`
`#include <FTGL/FTGLPolygonFont.h>`
`#include <FTGL/FTGLTextureFont.h>`
`#include <FTGL/FTGLTriangleExtractorFont.h>`
`#include <FTGL/FTLayout.h>`
`#include <FTGL/FTSimpleLayout.h>`
Include dependency graph for ftgl.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | FTGL

## Macros
#define | FTGL_BEGIN_C_DECLS extern "C" { namespace FTGL {
#define | FTGL_END_C_DECLS } }
#define | FTGL_EXPORT

## Typedefs
typedef double | FTGL_DOUBLE
typedef float | FTGL_FLOAT

## Enumerations
enum | FTGL::RenderMode { FTGL::RENDER_FRONT = 0x0001 , FTGL::RENDER_BACK = 0x0002 , FTGL::RENDER_SIDE = 0x0004 , FTGL::RENDER_ALL = 0xffff }
enum | FTGL::TextAlignment { FTGL::ALIGN_LEFT = 0 , FTGL::ALIGN_CENTER = 1 , FTGL::ALIGN_RIGHT = 2 , FTGL::ALIGN_JUSTIFY = 3 }
enum | FTGL::ConfigString { FTGL::CONFIG_VERSION = 1 }

## Functions
char const * | FTGL::GetString (ConfigString config)
| Return a string describing the current FTGL instance.

## Macro Definition Documentation

## ◆ FTGL_BEGIN_C_DECLS

#define FTGL_BEGIN_C_DECLS extern "C" { namespace FTGL {

Definition at line 43 of file ftgl.h.

## ◆ FTGL_END_C_DECLS

#define FTGL_END_C_DECLS } }

Definition at line 44 of file ftgl.h.

Referenced by ftglCreateBitmapFontFromMem(), ftglCreateBitmapGlyph(), ftglCreateBufferFont(), ftglCreateExtrudeFontFromMem(), ftglCreateExtrudeGlyph(), ftglCreateOutlineFontFromMem(), ftglCreateOutlineGlyph(), ftglCreatePixmapFontFromMem(), ftglCreatePixmapGlyph(), ftglCreatePolygonFontFromMem(), ftglCreatePolygonGlyph(), ftglCreateTextureFontFromMem(), ftglCreateTextureGlyph(), ftglCreateTriangleExtractorFontFromMem(), ftglCreateTriangleExtractorGlyph(), ftglGetFontError(), ftglGetGlyphError(), ftglGetLayoutError(), and ftglGetLayoutLineSpacing().

## ◆ FTGL_EXPORT

#define FTGL_EXPORT

Definition at line 134 of file ftgl.h.

Referenced by ftglAttachData(), ftglAttachFile(), ftglCreateBitmapFont(), ftglCreateBitmapFontFromMem(), ftglCreateBitmapGlyph(), ftglCreateBufferFont(), ftglCreateCustomFont(), ftglCreateCustomFontFromMem(), ftglCreateCustomGlyph(), ftglCreateExtrudeFont(), ftglCreateExtrudeFontFromMem(), ftglCreateExtrudeGlyph(), ftglCreateOutlineFont(), ftglCreateOutlineFontFromMem(), ftglCreateOutlineGlyph(), ftglCreatePixmapFont(), ftglCreatePixmapFontFromMem(), ftglCreatePixmapGlyph(), ftglCreatePolygonFont(), ftglCreatePolygonFontFromMem(), ftglCreatePolygonGlyph(), ftglCreateSimpleLayout(), ftglCreateTextureFont(), ftglCreateTextureFontFromMem(), ftglCreateTextureGlyph(), ftglCreateTriangleExtractorFont(), ftglCreateTriangleExtractorFontFromMem(), ftglCreateTriangleExtractorGlyph(), ftglDestroyFont(), ftglDestroyGlyph(), ftglDestroyLayout(), ftglGetFontAdvance(), ftglGetFontAscender(), ftglGetFontBBox(), ftglGetFontCharMapCount(), ftglGetFontCharMapList(), ftglGetFontDescender(), ftglGetFontError(), ftglGetFontFaceSize(), ftglGetFontLineHeight(), ftglGetGlyphAdvance(), ftglGetGlyphBBox(), ftglGetGlyphError(), ftglGetLayoutAlignement(), ftglGetLayoutAlignment(), ftglGetLayoutBBox(), ftglGetLayoutError(), ftglGetLayoutFont(), ftglGetLayoutLineLength(), ftglGetLayoutLineSpacing(), ftglRenderFont(), ftglRenderGlyph(), ftglRenderLayout(), ftglSetFontCharMap(), ftglSetFontDepth(), ftglSetFontDisplayList(), ftglSetFontFaceSize(), ftglSetFontGlyphLoadFlags(), ftglSetFontOutset(), ftglSetLayoutAlignment(), ftglSetLayoutFont(), ftglSetLayoutLineLength(), and ftglSetLayoutLineSpacing().

## Typedef Documentation

## ◆ FTGL_DOUBLE

typedef double FTGL_DOUBLE

Definition at line 38 of file ftgl.h.

## ◆ FTGL_FLOAT

typedef float FTGL_FLOAT

Definition at line 39 of file ftgl.h.